Subject: bug#8426: closed (Re: bug#8426: Glyph and cursor problem with emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Oct 2019 16:40:02 +0000

Your bug report

#8426: Glyph and cursor problem with emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8426: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8426
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8426: Glyph and cursor problem with emacs
From: Stefan Kangas <[email-masked]>
To: David De La Harpe Golden <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 1 Oct 2019 18:39:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

David De La Harpe Golden <[email-masked]> writes:

> On 06/04/11 11:16, Matthew Carey wrote:
>> I have switched off compositing and the problem appears to go away.
>>
>> The machine is not identical to the one that does not have the problem in that
>> though both are 64bit the problem box is a Thinkpad T61 (7959-CT0) which has:
>>
>> Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
>>
>> So the question is: Is this a bug in the graphics driver or SuSE's packaging of
>> the driver compositing software.
>>
>
> Well, a compositing manager is not card-specific... (can end up running some
> proportion of different code on different cards, though e.g. depending on shader
> capability level).   Looking through the intel driver bugzilla [1], there are
> various "odd display artifact" type bugs. If you wouldn't mind reporting the bug
> to them [2], they might be able to diagnose.
>
> [1]
> https://bugs.freedesktop.org/buglist.cgi?query_format=advanced&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&component=Driver%2Fintel&product=xorg
>
> [2] http://intellinuxgraphics.org/how_to_report_bug.html

>From the above, I'm concluding that this is not a bug in Emacs, and I'm
therefore closing this 8 year old bug.

If this is the wrong conclusion, and this is still an issue, please
reopen the bug report.

Best regards,
Stefan Kangas

Subject: Glyph and cursor problem with emacs
From: Matthew Carey <[email-masked]>
To: [email-masked]
Date: Tue, 05 Apr 2011 11:06:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

GNU Emacs 23.2.1 (x86_64-suse-linux-gnu, GTK+ Version 2.22.1)
 of 2011-02-22 on build34

SuSE Linux 11.4
KDE 4

Now I think this is a side effect of me installing too many fonts on this box
but I cannot see how to get out of it.

The selection of characters by the cursor is no longer rectangular but seeks to
match the glyph forms. When I edit I get ghosts of previous characters sitting
on the screen until I do a page up page down to refresh the screen.

The latter is what makes emacs impossible to use as I cannot distinguish between
the ghost characters and the real ones and the cursor location is not obvious.

My other box with the same OS and architecture does not exhibit the problem.

I attach an image to make the point clear.

1 No matter how many fonts I install emacs should be able to cope.
2 No other applications seem to be affected this way on the box.

I have tried removing clearing my .emacs file and changing .fonts.config.

If I use the same emacs installation forwarding X output to another machine it
works fine.